Ramp: Upload inventory item options — request body — body options item
Upload inventory item options: request body, field body / options / item. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Upload inventory item options — request body — body options item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
entity_remote_ids | array | Optional | Remote/external IDs of entities created through POST /developer/v1/accounting/entities that this inventory item option should be available for. Omit this field to make the inventory item option available for all connected entities on accounting connections with entity selection enabled. Minimum items: 1 |
entity_remote_ids[] | string | Each item | Minimum length: 1 |
gl_account_id | JSON | Optional | |
gl_account_id (anyOf 1) | string | Alternative | The Ramp ID (ramp_id) of the GL account to associate with this inventory item option. The GL account must already exist in Ramp. Use POST /developer/v1/accounting/accounts to upload GL accounts. Format: uuid |
gl_account_id (anyOf 2) | null | Alternative | |
id | string | Required within parent | The external ID of the inventory item option. This is the ID in your ERP system. |
name | string | Required within parent | The name of the inventory item option. |